Bug 215855 - games/eduke32: update to r6052, clean up
Summary: games/eduke32: update to r6052, clean up
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-07 16:47 UTC by Piotr Kubaj
Modified: 2017-02-27 17:30 UTC (History)
2 users (show)

See Also:
pkubaj: maintainer-feedback+


Attachments
patch (5.09 KB, patch)
2017-01-07 16:47 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff
patch (4.96 KB, patch)
2017-01-24 13:11 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff
patch (6.58 KB, patch)
2017-02-04 15:12 UTC, Piotr Kubaj
no flags Details | Diff
patch (6.58 KB, patch)
2017-02-27 14:45 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2017-01-07 16:47:05 UTC
Created attachment 178603 [details]
patch

The attached patch:
1) updates the port to revision 6007,
2) fixes MASTER_SITES for XXX pack and removes my domain (the files are available again on the official website),
3) fixes LICENSE - the port is actually double-licensed,
4) removes workaround for 9.x (CFLAGS+=-flax-vector-conversions),
5) removes now unnecessary patches.

The port builds fine on 10.3 on Poudriere.
Comment 1 Piotr Kubaj freebsd_committer 2017-01-24 13:11:10 UTC
Created attachment 179273 [details]
patch

Updated to r6052.
Comment 2 Piotr Kubaj freebsd_committer 2017-02-04 15:12:59 UTC
Created attachment 179600 [details]
patch

Update to r6059, massive changes this time.
Comment 3 Piotr Kubaj freebsd_committer 2017-02-27 14:45:32 UTC
Created attachment 180341 [details]
patch

Update to r6079.
Comment 4 commit-hook freebsd_committer 2017-02-27 17:29:13 UTC
A commit references this bug:

Author: swills
Date: Mon Feb 27 17:28:56 UTC 2017
New revision: 434979
URL: https://svnweb.freebsd.org/changeset/ports/434979

Log:
  games/eduke32: update to r6079, clean up

  PR:		215855
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl> (maintainer)

Changes:
  head/games/eduke32/Makefile
  head/games/eduke32/distinfo
  head/games/eduke32/files/patch-Makefile.common
  head/games/eduke32/files/patch-build_src_baselayer.c
  head/games/eduke32/files/patch-build_src_engine.c
Comment 5 Steve Wills freebsd_committer 2017-02-27 17:30:04 UTC
Committed, thanks!